al_color_rgb_to_cmyk(3)

NAME

al_color_rgb_to_cmyk - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_color.h>
    void al_color_rgb_to_cmyk(float red, float green, float blue,
       float *cyan, float *magenta, float *yellow, float *key)

DESCRIPTION

Each RGB color can be represented in CMYK with a K component of 0 with the following formula:

    C = 1 - R
    M = 1 - G
    Y = 1 - B
    K = 0

This function will instead find the representation with the maximal value for K and minimal color components.

SEE ALSO

al_color_cmyk(3), al_color_cmyk_to_rgb(3)